org.eclipse.emf.facet.util.emf.core

## Class EmfDebugUtils

- java.lang.Object
- - org.eclipse.emf.facet.util.emf.core.EmfDebugUtils

    public final class EmfDebugUtils
    extends java.lang.Object

Since:
  0.2

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `debugCommand(Command command)`
`static java.lang.String` `getStateDumpMessage(EObject eObject, java.lang.String fileExtension)` This method can be used to easily dump a model into a file.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### debugCommand

    public static java.lang.String debugCommand(Command command)

#### getStateDumpMessage

    public static java.lang.String getStateDumpMessage(EObject eObject,
                                                       java.lang.String fileExtension)

This method can be used to easily dump a model into a file. This method has been written to be used by unit tests.

Parameters:
  `eObject` -
  `fileExtension` -
Returns:
  a string explaining where the file has been saved.